import React from "react";
import BaseLayout from "components/BaseLayout";
import MainSection from "components/MainSection";
import FeaturedArticlesCards from "components/FeaturedArticlesCards";
import FeaturedAuthorsCards from "components/FeaturedAuthorsCards";
import { FeaturedArticlesCategories } from "components/parts/FeaturedArticlesCategories";
import { BottomBarAcceptCookies } from "components/containers/modal/BottomBarAcceptCookies";
import { SearchView } from "../searchResults/view/searchView";

type Props = {
  className?: string;
};

const options = [
  { name: "All" },
  { name: "Wade Cooper" },
  { name: "Arlene Mccoy" },
  { name: "Devon Webb" },
  { name: "Tom Cook" },
  { name: "Tanya Fox" },
  { name: "Hellen Schmidt" },
];

const hintsValues = [
  { id: "1", caption: "Wade Cooper" },
  { id: "2", caption: "Arlene Mccoy" },
  { id: "3", caption: "Devon Webb" },
  { id: "4", caption: "Tom Cook" },
  { id: "5", caption: "Tanya Fox" },
  { id: "6", caption: "Hellen Schmidt" },
];

export default function MainPage({ className }: Props) {
  return (
    <div>
      <BaseLayout>
        {/* <MainSection hintsValues={hintsValues} options={options}></MainSection> */}
        <SearchView />
        <FeaturedArticlesCategories></FeaturedArticlesCategories>
        <FeaturedArticlesCards></FeaturedArticlesCards>
        <FeaturedAuthorsCards></FeaturedAuthorsCards>
        <BottomBarAcceptCookies></BottomBarAcceptCookies>
      </BaseLayout>
    </div>
  );
}
